QGIS Application - Bug report #13442
Processing/batch mode: "select from..." do not fill correctly rows
2015-09-28 02:36 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21489
Description

Steps to replicate:

- download and extract sample data http://biogeo.ucdavis.edu/data/climate/worldclim/1_4/grid/cur/bio_10m_bil.zip

- add the rasters files to the project

- run (for example) the SAGA "add grid values to shapes" module in batch mode

the raster inputs are supposed to go in the second column (grids), so choose "select from open layers", select the rasters and click ok

input layers are placed all in the same cell, the first row one

- try another module where the input rasters are supposed to go in the first column, this will work ok

History

#1 - 2015-09-29 11:59 PM - Victor Olaya

- Status changed from Open to Feedback

| don't see this is an issue

The Grids parameter is a multiple input parameter, so you are supposed to be able to select multiple layers. Filling the rows under the selected one is only

done if you select multiple layers and the parameter is a single input. Since all selected layers cannot go in the cell, it puts them in the ones below.
| cannot reproduce the behaviour you mention, about that not happening if the parameter is in the first column. The "Mosaick raster layers" algorithm

(SAGA) has a multiple raster input in the first field and behaves like that as well, putting all selected layers in the selected cell, not using the ones below

#2 - 2015-09-30 02:54 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Victor Olaya wrote:

| don't see this is an issue

The Grids parameter is a multiple input parameter, so you are supposed to be able to select multiple layers. Filling the rows under the selected one
http://biogeo.ucdavis.edu/data/climate/worldclim/1_4/grid/cur/bio_10m_bil.zip

is only done if you select multiple layers and the parameter is a single input. Since all selected layers cannot go in the cell, it puts them in the ones
below.

| cannot reproduce the behaviour you mention, about that not happening if the parameter is in the first column. The "Mosaick raster layers" algorithm

(SAGA) has a multiple raster input in the first field and behaves like that as well, putting all selected layers in the selected cell, not using the ones
below

| see...
